Helper
Date: 2014-08-08

melting

## Class Helper

- java.lang.Object
- - melting.Helper

-     public class Helper
      extends java.lang.Object

  This class contains useful public static methods.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Helper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static double` | `computesNaEquivalent(Environment environment)` computes a sodium equivalent concentration from the different ion concentrations of the Environment object.
    `static java.lang.String` | `extractsOptionFileName(java.lang.String methodName)` This method is called to extract the new file name to the method or model option entered by the user.
    `static java.lang.String` | `extractsOptionMethodName(java.lang.String methodName)` This method is called to extract the method or model name to the method or model option entered by the user.
    `static boolean` | `useOtherDataFile(java.lang.String methodName)` to check if the user wants to use another thermodynamic parameters file with the used model.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Helper

          public Helper()

  - ### Method Detail

    - #### useOtherDataFile

          public static boolean useOtherDataFile(java.lang.String methodName)

      to check if the user wants to use another thermodynamic parameters file with the used model. The new file name is specified in the methodName, preceded by the model name and ":"
      Parameters:
        `methodName` - : the method or model option entered by the user.
      Returns:
        true if the methodName String contains ":". (a new file name has been entered by the user) Ex : san04 => the model name (no specified file name, the default file name of the san04 model is used) Ex : san04:file.xml => the model name followed by a new file name. (the san04 model will be used with the thermodynamic parameters of the new file file.xml)

    - #### extractsOptionFileName

          public static java.lang.String extractsOptionFileName(java.lang.String methodName)

      This method is called to extract the new file name to the method or model option entered by the user.
      Parameters:
        `methodName` - : the method or model option entered by the user.
      Returns:
        String new file name (or pathway + new file name) containing the thermodynamic parameters.

    - #### extractsOptionMethodName

          public static java.lang.String extractsOptionMethodName(java.lang.String methodName)

      This method is called to extract the method or model name to the method or model option entered by the user.
      Parameters:
        `methodName` - : the method or model option entered by the user.
      Returns:
        String method or model name.

    - #### computesNaEquivalent

          public static double computesNaEquivalent(Environment environment)

      computes a sodium equivalent concentration from the different ion concentrations of the Environment object.
      Parameters:
        `environment` -
      Returns:
        double sodium equivalent concentration.